/* 代码提供:脚本之家 www.jb51.net */
$(document).ready(function() {
    $(".spotlightBanner li").hover(function() {
        var h = $(this).index();
        a(h);
        c()
    },
    function() {
        d()
    });
    var f;
    $(".arrowUp").live("click",
    function() {
        f = true;
        var h = $(".spotlightBanner li.selected").index();
        c();
        if (h == 0) {
            a(e - 1)
        } else {
            a(h - 1)
        }
        $(this).die("mouseleave").live("mouseleave",
        function() {
            f = false;
            $(this).die("mouseleave");
            d()
        });
        return false
    });
    $(".arrowDown").live("click",
    function() {
        var h = $(".spotlightBanner li.selected").index();
        c();
        if (h >= e - 1) {
            a(0)
        } else {
            a(h + 1)
        }
        $(this).die("mouseleave").live("mouseleave",
        function() {
            $(this).die("mouseleave");
            d()
        });
        return false
    });
    var g;
    d();
    var e = $(".spotlightBanner li").length;
    var b = ($(".track").height() - $(".trackBar").height()) / (e - 1);
    function d() {
        var h = $(".spotlightBanner li.selected").index();
        g = setInterval(function() {
            h += 1;
            if (h >= e) {
                h = 0
            }
            a(h)
        },
        3000)
    }
    function a(h) {
        if (h % 4 == 0) {
            $(".spotlightBanner").scrollTo("li:eq(" + h + ")", 200)
        } else {
            if (f && h % 4 == 3) {
                $(".spotlightBanner").scrollTo("li:eq(" + (h - 3) + ")", 200)
            }
        }
        $(".spotlightBanner li").removeClass("selected").eq(h).addClass("selected");
        $(".spotlight li").fadeOut().eq(h).fadeIn();
        $(".trackBar").css("top", h * b)
    }
    function c() {
        clearInterval(g);
        g = null
    }
});
/* 代码提供:脚本之家 www.jb51.net */